export default class Activity {
  constructor(context) {
    this.context = context;
    this.onCreate();
  }

  onCreate() {
    console.log(`${this.constructor.name}:onCreate`);
  }

  onStart(params) {
    console.log(`${this.constructor.name}:onStart`, params);
  }

  onUpdate(params) {
    console.log(`${this.constructor.name}:onUpdate`, params);
  }

  onStop() {
    console.log(`${this.constructor.name}:onStop`);
  }

  onDestroy() {
    console.log(`${this.constructor.name}:onDestroy`);
    this.context = null;
  }
}
